import { Connection } from '@workbench-stack/extension-api';
import { MainThreadDocumentsAndEditors } from './client-document-and-editors';
import { ITextFileService } from '@workbench-stack/core';
export declare class ClientDocuments {
    private readonly modelTextDocuments;
    private readonly documentsAndEditors;
    private _modelIsSynced;
    private _modelToDisposeMap;
    private _serverProxy;
    private _proxy;
    private subscriptions;
    private registrations;
    constructor(connection: Connection, modelTextDocuments: ITextFileService, documentsAndEditors: MainThreadDocumentsAndEditors);
    unsubscribe(): void;
    private _onModelAdded;
    private _onModelModeChanged;
    private _onModelRemoved;
}
