import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';
import { ResourceModelCollection, ITextModelContentProvider } from './resource-model-collection';
import { IModelService } from '@workbench-stack/core';
export declare class TextModelResolverService {
    private untitledEditorService;
    private resourceModelCollection;
    private modelService;
    constructor(untitledEditorService: any, resourceModelCollection: ResourceModelCollection, modelService: IModelService);
    createModelReference(resource: URI): any;
    registerTextModelContentProvider(scheme: string, provider: ITextModelContentProvider): import("rxjs").Unsubscribable;
}
