import { ViewProviderRegistrationOptions, ProvideViewSignature, FeatureProviderRegistry, PanelViewWithComponent, ContributableViewContainer, Entry } from '@workbench-stack/extension-api';
import { Observable } from 'rxjs';
export declare class ViewProviderRegistry extends FeatureProviderRegistry<ViewProviderRegistrationOptions, ProvideViewSignature> {
    getView(id: string): Observable<PanelViewWithComponent | null>;
    getViews(container: ContributableViewContainer): Observable<(PanelViewWithComponent & ViewProviderRegistrationOptions)[]>;
}
export declare function getView(entries: Observable<Entry<ViewProviderRegistrationOptions, Observable<PanelViewWithComponent | null>>[]>, id: string): Observable<(PanelViewWithComponent & ViewProviderRegistrationOptions) | null>;
export declare function getViews(entries: Observable<Entry<ViewProviderRegistrationOptions, Observable<PanelViewWithComponent | null>>[]>, container: ContributableViewContainer, logErrors?: boolean): Observable<(PanelViewWithComponent & ViewProviderRegistrationOptions)[]>;
