import { mergeMap, map } from 'rxjs/operators';
import { Observable, of, from } from 'rxjs';
import { ofType } from 'redux-observable';
import { ApolloClient } from 'apollo-client';


/**
 *
 * @param action$
 * @param state$
 * @param param2
 */
export const getViewEpic: (action$: Observable<any>, state$: Observable<any>, { apolloClient }: { apolloClient: ApolloClient<any> }) => any
    = (action$, state$, { apolloClient }) =>
    action$
    .pipe(
        ofType('GET_VIEW'),

    );



/**
 *
 * @param action$
 * @param state$
 * @param param2
 */
export const getViewsEpic: (action$: Observable<any>, state$: Observable<any>, { apolloClient }: { apolloClient: ApolloClient<any> }) => any
    = (action$, state$, { apolloClient }) =>
    action$
    .pipe(
        ofType('GET_VIEWS'),

    );
