import { Environment } from '../environment';
import { TextDocumentItem } from '../types/textDocument';
export declare function applyContextUpdate(base: Context, update: Context): Context;
export interface Context {
    [key: string]: string | number | boolean | Context | null;
}
export declare const EMPTY_CONTEXT: Context;
export declare function getComputedContextProperty(environment: Environment, key: string, scope?: TextDocumentItem): any;
