import { IExtensionsService, IExecutableExtension } from '@workbench-stack/extension-api';
import { Subscribable, Observable } from 'rxjs';
import { ApolloClient } from 'apollo-client';
import { Store } from '@files-stack/client-state';
export declare const editorOpenedFiles: import("reselect").OutputSelector<unknown, unknown, (res: unknown) => unknown>;
export declare function getActiveExtensions(apolloClient: ApolloClient<any>, store$: Observable<Store.Files>): Subscribable<IExecutableExtension[]>;
export declare const getActiveExtensionsEpic: (action$: Observable<any>, state$: Observable<any>, { apolloClient }: {
    apolloClient: ApolloClient<any>;
}) => any;
export declare function getConfiguredExtensions(apolloClient: ApolloClient<any>, store$: any): Subscribable<IExecutableExtension[]>;
export declare function extensionsService(apolloClient: ApolloClient<any>, store$: any): IExtensionsService;
