import { updateSettingsEpic, getActiveExtensionsEpic, openDocumentEpic } from './services';
import { resolvers } from './graphql/resolvers';
import { editorSchema } from './graphql/schema';
import { Feature } from '@common-stack/client-react';

export default new Feature({
    epic: [updateSettingsEpic, openDocumentEpic],
    clientStateParams: [{ resolvers, typeDefs: editorSchema }],
});
